from django.apps import AppConfig
from django.utils.translation import ugettext_lazy


class PluginApp(AppConfig):
    name = 'byro_schaffenburg'
    verbose_name = 'Schaffenburg e.V. Byro Plugin'

    class ByroPluginMeta:
        name = ugettext_lazy('Schaffenburg e.V. Byro Plugin')
        author = 'Fraxinas'
        description = ugettext_lazy('Membership info extensions for Makerspace Schaffenburg')
        visible = True
        version = '0.0.1'

    def ready(self):
        from . import signals  # NOQA


default_app_config = 'byro_schaffenburg.PluginApp'
